module.exports = {
  env: {
    browser: true,
    es6: true,
    node: true,
    jest: true,
  },
  parser: 'babel-eslint',
  extends: ['eslint:recommended'],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly',
  },
  rules: {
    'no-undef': ['error'],
    eqeqeq: ['warn', 'smart'],
    'no-unused-vars': 'warn',
    'no-prototype-builtins': 'off',
    'id-length': ['warn', { exceptions: ['i', 'j', 't', 'Q', 'A', 'C', 'q', 'a', 'b'] }],
  },
}
